petsc-3.10.5 2019-03-28
Report Typos and Errors

# PetscEventPerfLogGetVisible

This function returns whether an event is printed during PetscLogView()

### Synopsis

    #include "petscsys.h"
    PetscErrorCode PetscEventPerfLogGetVisible(PetscEventPerfLog eventLog,PetscLogEvent event,PetscBool  *isVisible)

Not Collective

### Input Parameters

| eventLog | - The PetscEventPerfLog
| event | - The event id to log

### Output Parameter

isVisible -The visibility flag, PETSC_TRUE for printing, otherwise PETSC_FALSE (default is PETSC_TRUE)

### Database Options

-log_view -Activates log summary

### Keywords

log, visible, event

### See Also

PetscEventPerfLogSetVisible(), PetscEventRegLogRegister(), PetscStageLogGetEventLog()

### Level

developer

### Location

src/sys/logging/utils/eventlog.c
Index of all Profiling routines
Table of Contents for all manual pages
Index of all manual pages